# Uses of Enum
org.apache.commons.math3.ode.events.Action

Packages that use Action
Package
Description
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.

## Uses of Action in org.apache.commons.math3.ode.events

Methods in org.apache.commons.math3.ode.events that return Action
Modifier and Type
Method
Description
`Action`
FieldEventHandler.`eventOccurred(FieldODEStateAndDerivative<T> state, boolean increasing)`
Handle an event and choose what to do next.
`static Action`
Action.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Action[]`
Action.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.